summaryrefslogtreecommitdiff
path: root/nonsystemd/avahi-openrc/avahi-daemon.initd
diff options
context:
space:
mode:
Diffstat (limited to 'nonsystemd/avahi-openrc/avahi-daemon.initd')
-rw-r--r--nonsystemd/avahi-openrc/avahi-daemon.initd31
1 files changed, 31 insertions, 0 deletions
diff --git a/nonsystemd/avahi-openrc/avahi-daemon.initd b/nonsystemd/avahi-openrc/avahi-daemon.initd
new file mode 100644
index 000000000..c5cd6505e
--- /dev/null
+++ b/nonsystemd/avahi-openrc/avahi-daemon.initd
@@ -0,0 +1,31 @@
+#!/usr/bin/openrc-run
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+extra_started_commands="reload"
+command="/usr/sbin/avahi-daemon"
+supervisor="supervise-daemon"
+
+depend() {
+ before netmount nfsmount
+ use net
+ need dbus
+}
+
+# start() {
+# ebegin "Starting avahi-daemon"
+# /usr/bin/avahi-daemon -D
+# eend $?
+# }
+#
+# stop() {
+# ebegin "Stopping avahi-daemon"
+# /usr/bin/avahi-daemon -k
+# eend $?
+# }
+
+reload() {
+ ebegin "Reloading avahi-daemon"
+ ${command} -r
+ eend $?
+}